Subject: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line

From: Drew Adams <[email-masked]>
Date: Wed, 5 Mar 2014 10:32:25 -0800 (PST)

>  > The Info frame already exists. It has no minibuffer, and it shows
>  > only buffer *info*.
> 
> And it has a mode line and you switch to another Info node and you want
> to adjust the frame to the size of its page but in fact the page size
> did not change but the mode line disappears?

I'm not sure what the question is.  But yes, except for the last part.

It is not the case in general that the page size does not change when
the mode line disappears. IOW, I think you are guessing that the newly
visited node has the same page size as the last-visited one, whenever
the mode line disappears. That is not the case.  IOW2: Frame resizing
may well change the frame size when the mode line disappears.

I see no connection between the occurrence of losing the mode line
and whether or not frame fitting actually changes the frame size.
And in any case, even when the size might end up being exactly the
same, `set-frame-size' is called.